clearfog: Prepare data for flashing via USB to eMMC

At first, I tried to use just one `genimage` configuration file for this
purpose, but I wasn't able to come up with any method to either leverage
the sparseness of the sdcard.img file, or to make `genimage` compress
it. It would be quite wasteful to create huge image files, after all.
However, I wasn't able to find any proper way for doing that just with
`genimage`. I tried:

- The `tar` and `cpio` backends which implement compression. This didn't
work because it seems that one cannot redefine their actual *content*.
- Using `exec_pre` and `exec_post` to force a command. That didn't work
either because genimage checks for file availability prior to running
them.

In the end, this extra shell script simply compresses the SD card image
and calls `genimage` once more. I chose `mksquashfs` because it was much
faster with sparse input than both `gzip` and `bzip2`.

Change-Id: Ia80443108e879fe89b0815e45e5338c5eebf33f3
diff --git a/board/czechlight/clearfog/usb-flash-genimage.sh b/board/czechlight/clearfog/usb-flash-genimage.sh
new file mode 100755
index 0000000..c907625
--- /dev/null
+++ b/board/czechlight/clearfog/usb-flash-genimage.sh
@@ -0,0 +1,10 @@
+#!/bin/sh
+
+set -ex
+
+mksquashfs ${BINARIES_DIR}/sdcard.img ${BINARIES_DIR}/sdcard.img.squashfs -root-owned -comp gzip -progress
+
+GENIMAGE_TMP="${BUILD_DIR}/genimage.tmp"
+rm -rf "${GENIMAGE_TMP}"
+
+genimage --rootpath "${TARGET_DIR}" --tmppath "${GENIMAGE_TMP}" --inputpath "${BINARIES_DIR}" --outputpath "${BINARIES_DIR}" --config "${BR2_EXTERNAL_CZECHLIGHT_PATH}/board/czechlight/clearfog/usb-genimage.cfg"